/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
// メニューボタンID prefix
var ID_SUB_BUTTON  = "btnSub";
var ID_MAIN_BUTTON = "btnMain";

// ボタン文字色
var COLOR_MENU_NORMAL   = "black";
var COLOR_MENU_SELECTED = "red";

/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// メインメニュー利用可否設定
	if (MODE == 1) {
		setObjectVisibility("btnGuide" , false);
	}
}

/**
 * メニュー設定
 * @param numMenuId
 * @return 無し
 * @throws 実行時例外
 *//**
function showSubMenu(numMenuId) {
	numMenuFlag = numMenuId;
	setMenu();
	
} */

/**
 * メニュー設定
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function setMenu() {
	// メニューの初期化
	//setFieldsInnerHtml(ID_SUB_BUTTON + "%", "");
	//setFieldsVisibility(ID_SUB_BUTTON + "%", false);
	//setFieldsColor(ID_MAIN_BUTTON + "%", COLOR_MENU_NORMAL);
	//setFieldsColor(ID_SUB_BUTTON + "%", COLOR_MENU_NORMAL);
/**		
	// メニューの設定
	setColor(ID_MAIN_BUTTON + String(numMenuFlag - 1), COLOR_MENU_SELECTED);
	switch (numMenuFlag) {
		case 1:
			arySubMenu = CMD_MENU_INPUT;
			setMenuName(NAM_MENU_INPUT);
			break;
		case 2:
			arySubMenu = CMD_MENU_MANAGE;
			setMenuName(NAM_MENU_MANAGE);
			break;
		case 3:
			arySubMenu = CMD_MENU_PAYROLL;
			setMenuName(NAM_MENU_PAYROLL);
			break;
		case 4:
			arySubMenu = CMD_MENU_HUMAN;
			setMenuName(NAM_MENU_HUMAN);
			break;
		case 5:
			arySubMenu = CMD_MENU_SYSTEM;
			setMenuName(NAM_MENU_SYSTEM);
			break;
		case 6:
			arySubMenu = CMD_MENU_SYSTEM2;
			setMenuName(NAM_MENU_SYSTEM2);
			break;
		default:
			arySubMenu = new Array();
	}*/
}

/**
 * メニューボタン名設定
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function setMenuName(aryMenuName) {
/**	var strTargetId;
	for (var i = 0; i < aryMenuName.length; i++) {
		strTargetId = ID_SUB_BUTTON + String(i);
		setVisibility(strTargetId, true);
		setInnerHtml(strTargetId, aryMenuName[i]);
	} */
}
